std::tr1::array(3)

NAME
std::tr1::array -

SYNOPSIS

Detailed Description

  template<typename _Tp, std::size_t _Nm = 1> struct std::tr1::array< _Tp, _Nm >

Definition at line 53 of file array.

  Public Types
enum { _S_index }
_S_index
typedef const value_type * const_iterator
typedef const value_type & const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef std::ptrdiff_t difference_type
typedef value_type * iterator
typedef value_type & reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef std::size_t size_type
typedef _Tp value_type

  Public Member Functions
value_type _M_instance[_Nm?_Nm:1] __attribute__ ((__aligned__))
void assign (const value_type &__u)
reference at (size_type __n)
const_reference at (size_type __n) const
const_reference back () const
reference back ()
const_iterator begin () const
iterator begin ()
const _Tp * data () const
_Tp * data ()
bool empty () const
const_iterator end () const
iterator end ()
const_reference front () const
reference front ()
size_type max_size () const
const_reference operator[] (size_type __n) const
reference operator[] (size_type __n)
const_reverse_iterator rbegin () const
reverse_iterator rbegin ()
const_reverse_iterator rend () const
reverse_iterator rend ()
size_type size () const
void swap (array &__other)

Author

Generated automatically by Doxygen for libstdc++ from the source code.